#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   exit 1
fi
# no compiling

P=nerd
PN=$P-fonts-ttf
V=3.2.1
SRC=$P-$V
USER=`cat /etc/sysconfig/tcuser`
su -c "tce-load -i submitqc " $USER
URL=https://raw.githubusercontent.com/ryanoasis/nerd-fonts/v$V
cd /tmp
su -c "/usr/local/bin/wget -nc --no-check-certificate \
$URL/patched-fonts/NerdFontsSymbolsOnly/SymbolsNerdFont-Regular.ttf \
$URL/patched-fonts/NerdFontsSymbolsOnly/SymbolsNerdFontMono-Regular.ttf \
$URL/10-nerd-font-symbols.conf \
$URL/LICENSE" $USER

chown root:root Symbols* *.conf LICENSE

mkdir -p $PN/usr/local/share/doc/$PN
mv LICENSE $PN/usr/local/share/doc/$PN
mkdir -p $PN/usr/local/share/fonts/$PN
mv Symbols* $PN/usr/local/share/fonts/$PN

mkdir -p $PN/usr/local/share/fontconfig/conf.avail
mv 10-nerd* $PN/usr/local/share/fontconfig/conf.avail
mkdir -p $PN/usr/local/etc/fonts/conf.d/
cd /tmp/$PN/usr/local/share/fontconfig/conf.avail
ln -s 10-nerd* ../../../etc/fonts/conf.d/
cd /tmp

# tce.installed
############
mkdir -p $PN/usr/local/tce.installed
cat >> $PN/usr/local/tce.installed/$PN <<'EOF'
#!/bin/sh
fc-cache /usr/local/share/fonts/nerd-fonts-ttf
EOF
chown -R root:staff $PN/usr/local/tce.installed
chmod -R 775 $PN/usr/local/tce.installed

# TCZ them
###########
LIST="$PN "
for Z in $LIST
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
done

ls -hal

echo 'Title:          nerd-fonts-ttf.tcz
Description:    nerd ttf fonts 
Version:        3.2.1
Author:         Ryan L McIntyre
Original-site:  https://github.com/ryanoasis/nerd-fonts
Copying-policy: accompanied
Size:           2.7M
Extension_by:   aus9 @ linuxquestions.org
Tags:           ttf font
Comments:       Regular, Italic, Bold & Bold Italic
                Font names start with Symbols*
                Also TCE=nerd-font contains another nerd font
   
Change-log:     2024/07/11 v 3.2.1 any arch
Current:        2024/07/11     ' > $PN.tcz.info

echo 'fontconfig.tcz' > $PN.tcz.dep

submitqc --libs
rm -rf *.zsync


